/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package database;

import javax.swing.JOptionPane;

/**
 *
 * @author FuadRafid
 */
public class Book_Req extends javax.swing.JFrame {

    /**
     * Creates new form Book_Req
     */
    public Book_Req() {
        initComponents();
        addAuthors();
        jComboBox1.setEditable(true);
        
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextField1 = new javax.swing.JTextField();
        jTextField3 = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jComboBox1 = new javax.swing.JComboBox<>();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setLocation(new java.awt.Point(700, 300));
        setType(java.awt.Window.Type.POPUP);

        jTextField1.setFont(new java.awt.Font("Arial Unicode MS", 0, 11)); // NOI18N

        jLabel1.setText("NAME OF BOOK");

        jLabel2.setText("AUTHOR");

        jLabel3.setText("EDITION");

        jButton1.setText("Request");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(57, 57, 57)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 83, Short.MAX_VALUE)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jTextField1, javax.swing.GroupLayout.DEFAULT_SIZE, 312, Short.MAX_VALUE)
                            .addComponent(jTextField3, javax.swing.GroupLayout.DEFAULT_SIZE, 312, Short.MAX_VALUE)
                            .addComponent(jComboBox1, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 103, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(67, 67, 67))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(58, 58, 58)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jTextField1, javax.swing.GroupLayout.DEFAULT_SIZE, 43, Short.MAX_VALUE)
                    .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(48, 48, 48)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(55, 55, 55)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 62, Short.MAX_VALUE)
                .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(25, 25, 25))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        String bookName=jTextField1.getText();
        String Edition=jTextField3.getText();
        String author=(String) jComboBox1.getSelectedItem();
        String authorId=null,bookId=null;
        
        DataBase.ExecuteQuery("SELECT BOOK_ISBN,AUTHOR_ID FROM FUADRAFID.BOOK_VEHICLE WHERE lower(EDITION)='"+Edition+"' AND lower(BOOK)='"+bookName.toLowerCase()+"' AND lower(AUTHOR)='"+author.toLowerCase()+"' AND MEMBER_ID='"+Login.ID+"'", Login.con);
        System.out.println(DataBase.data); 
        System.out.println(DataBase.colNo);
        if(!DataBase.data.isEmpty())
         {
             JOptionPane.showMessageDialog(null, "Book already available!");
//             bookId=DataBase.data.elementAt(0).elementAt(0);
//             authorId=DataBase.data.elementAt(0).elementAt(1);
             return;
         }
      
       DataBase.ExecuteQuery("SELECT AUTHOR_ID FROM FUADRAFID.AUTHOR WHERE lower(NAME)='"+author.toLowerCase()+"'", Login.con);
       if(DataBase.data.isEmpty())
       {
           DataBase.ExecuteQuery("select  'P-0'||fuadrafid.author_id_seq.nextval from dual", Login.con);
           authorId=DataBase.data.elementAt(0).elementAt(0);
           System.out.println(DataBase.data);
           DataBase.ExecuteQuery("INSERT INTO FUADRAFID.AUTHOR (AUTHOR_ID,NAME) VALUES("+"'"+authorId+"','"+author+"')", Login.con);
       }
       else
               {
               
                   authorId=DataBase.data.elementAt(0).elementAt(0);
               }
    
      
           DataBase.ExecuteQuery("select  'b-0'||fuadrafid.book_isbn.nextval from dual", Login.con);
           bookId=DataBase.data.elementAt(0).elementAt(0);
           System.out.println(DataBase.data);
           DataBase.ExecuteQuery("INSERT INTO FUADRAFID.BOOKS (ISBN_NO,BOOKS_NAME,EDITION) VALUES("+"'"+bookId+"','"+bookName+"','"+Edition+"')", Login.con);
           
       
       DataBase.ExecuteQuery("Insert into FUADRAFID.WRITTEN_BY VALUES('"+bookId+"','"+authorId+"')", Login.con);
       DataBase.ExecuteQuery("Insert into FUADRAFID.REQUESTS_FOR (MEMBER_ID,ISBN_NO)VALUES('"+Login.ID+"','"+bookId+"')", Login.con);
       
       
       JOptionPane.showMessageDialog(null, "Requested");

        
        
        
    }//GEN-LAST:event_jButton1ActionPerformed

    /**
     * @param args the command line arguments
     */
    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JComboBox<String> jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField3;
    // End of variables declaration//GEN-END:variables

    private void addAuthors() {
        DataBase.ExecuteQuery("Select NAME FROM FUADRAFID.AUTHOR", Login.con);
        
       for(int i = 0; i < DataBase.data.size(); i++)
       {     
           jComboBox1.addItem(DataBase.data.elementAt(i).elementAt(0));
           
       }
    }
}
